{% extends "SonataDoctrineORMAdminBundle:Form:form_admin_fields.html.twig" %}

{% block file_widget %}
{% spaceless %}
    {% set subject = sonata_admin.admin.getSubject %}
    {% if subject and subject.id
        and attribute(subject, name) is defined
        and attribute(subject, name) is not empty
        and attribute(subject, name ~ 'Name') %}
        {% if 'image' in name %}
            <div class="image-preview"><img src="{{ vich_uploader_asset(subject, name) }}" /></div>
        {% else %}
            <div class="name-preview">{{ attribute(subject, name ~ 'Name') }}</div>
        {% endif %}
    {% endif %}
    {% set type = type|default('file') %}

    <input type="{{ type }}" {{ block('widget_attributes') }} {% if value is not empty %}value="{{ value }}" {% endif %}/>

    {% set fileName = subject.fileName %}
    {% if fileName %}
        <a href="{{ vich_uploader_asset(subject, 'file') }}" download>{{ 'admin.file.download'|trans({}, "Avst") }}</a>
    {% endif %}
{% endspaceless %}
{% endblock %}
